# readline.h File Reference

## Functions
byte | Readline (word Pos_X, word Pos_Y, char *Chaine, byte Taille_affichee, byte Type_saisie)
byte | Readline_ex (word Pos_X, word Pos_Y, char *Chaine, byte Taille_affichee, byte Taille_maxi, byte Type_saisie)

## Function Documentation

byte Readline | ( | word | Pos_X,
|  | word | Pos_Y,
|  | char * | Chaine,
|  | byte | Taille_affichee,
|  | byte | Type_saisie |
| ) |  |  |

References Readline_ex().

Referenced by Bouton_Colorize_Menu(), Bouton_Load_ou_Save(), Bouton_Menu_Grille(), Bouton_Palette(), Bouton_Quick_shade_Menu(), Bouton_Resol(), Bouton_Settings(), Bouton_Smooth_Menu(), Bouton_Spray_Menu(), Bouton_Texte(), Bouton_Tiling_Menu(), and Menu_Shade().

byte Readline_ex | ( | word | Pos_X,
|  | word | Pos_Y,
|  | char * | Chaine,
|  | byte | Taille_affichee,
|  | byte | Taille_maxi,
|  | byte | Type_saisie |
| ) |  |  |

References A_DROITE, Afficher_curseur(), Block, CARACTERE_TRIANGLE_DROIT, CARACTERE_TRIANGLE_GAUCHE, CaractereValide(), COULEUR_FOND, COULEUR_TEXTE, Effacer_curseur, Fenetre_Pos_X, Fenetre_Pos_Y, Flush_update(), Get_input(), Inserer_caractere(), Menu_Facteur_X, Menu_Facteur_Y, Mouse_K, Fenetre_Bouton_scroller::Position, Print_dans_fenetre(), Print_dans_fenetre_limite(), Rafficher_toute_la_chaine(), Supprimer_caractere(), Touche_ANSI, TOUCHE_ESC, UpdateRect(), and Wait_VBL().

Referenced by Bouton_Load_ou_Save(), Bouton_Texte(), and Readline().